#ifndef _DRIVER_FILE_H_INCLUDED_
#define _DRIVER_FILE_H_INCLUDED_

#define ADR_DISKIMG 0x00100000

namespace driver {
    /* t@C */
    class FileInfo {
    public:
        byte  name[8], ext[3], type;
        byte  reserve[10];
        word  time, date, clustno;
        dword size;
    };

    /* t@CGg */
    class FileEntry {
    public:
        int   size;
        int   addr;
        char  name[12];
        byte* data;
    };

    /* FAT12t@C}l[W */
    class File {
    private:
        static List<FileEntry*>* files;
        static int* fat;

    private:
        static void read(FileEntry* entry, byte* buf);

    public:
        static void init();
        static FileEntry* load(const char* name);
        static List<FileEntry*>* list();
    };
}

#endif
